Novell Home

CVE-2014-0045

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2014-0045 at MITRE

Description

The needSamples method in AudioOutputSpeech.cpp in the client in Mumble 1.2.4 and the 1.2.3 pre-release snapshots, Mumble for iOS 1.1 through 1.2.2, and MumbleKit before commit fd190328a9b24d37382b269a5674b0c0c7a7e36d does not check the return value of the opus_decode_float function, which allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted Opus voice packet, which triggers an error in opus_decode_float, a conversion of a negative integer to an unsigned integer, and a heap-based buffer over-read and over-write.

NVD CVSS v2 Base Score: 7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P)

SUSE information

SUSE Bugzilla entry: 862527

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 12.3
  • mumble >= 1.2.5-21.4.1
  • mumble-32bit >= 1.2.5-21.4.1
  • mumble-debuginfo >= 1.2.5-21.4.1
  • mumble-debuginfo-32bit >= 1.2.5-21.4.1
  • mumble-debugsource >= 1.2.5-21.4.1
  • mumble-server >= 1.2.5-21.4.1
  • mumble-server-debuginfo >= 1.2.5-21.4.1
Patchnames:
openSUSE-2014-152
openSUSE 13.1
  • mumble >= 1.2.5-2.8.2
  • mumble-32bit >= 1.2.5-2.8.2
  • mumble-debuginfo >= 1.2.5-2.8.2
  • mumble-debuginfo-32bit >= 1.2.5-2.8.2
  • mumble-debugsource >= 1.2.5-2.8.2
  • mumble-server >= 1.2.5-2.8.2
  • mumble-server-debuginfo >= 1.2.5-2.8.2
Patchnames:
openSUSE-2014-152

© 2015 Novell